<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>ToDo Apps</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            background-color: #f5f5f5;
            margin: 0;
            padding: 0;
            display: flex;
            justify-content: center;
            align-items: center;
            height: 100vh;
        }

        .container {
            text-align: center;
        }

        h1 {
            text-align: center;
            margin-top: 50px;
            color: #333;
        }

        .button {
            background-color: #4caf50;
            color: white;
            padding: 15px 30px;
            border: none;
            border-radius: 5px;
            text-transform: uppercase;
            font-weight: bold;
            text-decoration: none;
            transition: background-color 0.3s ease;
        }

        .button:hover {
            background-color: #45a049;
        }
    </style>
</head>
<body>
    <div class="container">
    <h1 id="welcome-text"></h1>
    <div style="margin-top: 20px;"> <!-- Ajout d'un espace avec une marge en haut -->
        <a href="{% url 'task_list' %}" class="button">Voir les tâches</a>
    </div>
</div>

<script>
        // Texte à afficher
        var text = "Bienvenue dans l'application de gestion des tâches";

        // Durée entre l'affichage de chaque lettre (en millisecondes)
        var speed = 100;

        // Index de la lettre actuelle
        var i = 0;

        function typeWriter() {
            if (i < text.length) {
                document.getElementById("welcome-text").innerHTML += text.charAt(i);
                i++;
                setTimeout(typeWriter, speed);
            }
        }

        // Démarrer l'animation d'écriture au chargement de la page
        window.onload = function () {
            typeWriter();
        };
    </script>
</body>
</html>